apiVersion: workspace.devfile.io/v1alpha2
kind: DevWorkspace
metadata:
  annotations:
    che.eclipse.org/che-editor: che-incubator/che-code/insiders
    che.eclipse.org/devfile-source: |
      url:
        location: >-
          https://devspaces.apps.ocp410-dnochev.crw-qe.com/dashboard/devfile-registry/devfiles/empty.yaml
      factory:
        params: >-
          storageType=per-user&url=https://devspaces.apps.ocp410-dnochev.crw-qe.com/dashboard/devfile-registry/devfiles/empty.yaml
    che.eclipse.org/last-updated-timestamp: '2022-12-13T18:03:58.362Z'
  resourceVersion: '57222243'
  name: empty-nx49
  uid: e7f331e1-9043-4a79-b311-d756f59d3f79
  creationTimestamp: '2022-12-13T18:03:39Z'
  generation: 5
  managedFields:
    - apiVersion: workspace.devfile.io/v1alpha2
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          'f:conditions': {}
          'f:phase': {}
      manager: devworkspace-controller
      operation: Update
      time: '2022-12-13T18:03:42Z'
    - apiVersion: workspace.devfile.io/v1alpha2
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            .: {}
            'f:che.eclipse.org/che-editor': {}
            'f:che.eclipse.org/devfile-source': {}
            'f:che.eclipse.org/last-updated-timestamp': {}
        'f:spec':
          .: {}
          'f:routingClass': {}
          'f:template':
            .: {}
            'f:attributes':
              .: {}
              'f:controller.devfile.io/devworkspace-config':
                .: {}
                'f:name': {}
                'f:namespace': {}
              'f:controller.devfile.io/storage-type': {}
              'f:dw.metadata.annotations':
                .: {}
                'f:che.eclipse.org/che-editor': {}
                'f:che.eclipse.org/devfile-source': {}
                'f:che.eclipse.org/last-updated-timestamp': {}
            'f:components': {}
      manager: unknown
      operation: Update
      time: '2022-12-13T18:03:42Z'
  namespace: admin-devspaces
  finalizers:
    - storage.controller.devfile.io
  labels:
    controller.devfile.io/creator: fb1f58a2-529f-4964-83b8-2d66430e5cd0
spec:
  routingClass: che
  started: false
  template:
    attributes:
      controller.devfile.io/devworkspace-config:
        name: devworkspace-config
        namespace: openshift-devspaces
      controller.devfile.io/storage-type: per-user
      dw.metadata.annotations:
        che.eclipse.org/che-editor: che-incubator/che-code/insiders
        che.eclipse.org/devfile-source: |
          url:
            location: >-
              https://devspaces.apps.ocp410-dnochev.crw-qe.com/dashboard/devfile-registry/devfiles/empty.yaml
          factory:
            params: >-
              storageType=per-user&url=https://devspaces.apps.ocp410-dnochev.crw-qe.com/dashboard/devfile-registry/devfiles/empty.yaml
        che.eclipse.org/last-updated-timestamp: '2022-12-13T18:03:54.923Z'
    components:
      - attributes:
          che-code.eclipse.org/contribute-endpoint/code-redirect-1: 13131
          che-code.eclipse.org/contribute-memoryLimit: true
          che-code.eclipse.org/contribute-endpoint/code-redirect-2: 13132
          che-code.eclipse.org/contribute-cpuRequest: true
          che-code.eclipse.org/contribute-endpoint/code-redirect-3: 13133
          che-code.eclipse.org/contributed-container: universal-developer-image
          che-code.eclipse.org/contribute-cpuLimit: true
          che-code.eclipse.org/contribute-memoryRequest: true
          che-code.eclipse.org/contribute-endpoint/che-code: 3100
          che-code.eclipse.org/contribute-entry-point: true
          che-code.eclipse.org/contribute-volume-mount/checode: /checode
        container:
          cpuRequest: 30m
          command:
            - /checode/entrypoint-volume.sh
          env:
            - name: CHE_DASHBOARD_URL
              value: 'https://devspaces.apps.ocp410-dnochev.crw-qe.com'
            - name: CHE_PLUGIN_REGISTRY_URL
              value: >-
                https://devspaces.apps.ocp410-dnochev.crw-qe.com/plugin-registry/v3
            - name: CHE_PLUGIN_REGISTRY_INTERNAL_URL
              value: 'http://plugin-registry.openshift-devspaces.svc:8080/v3'
            - name: OPENVSX_REGISTRY_URL
              value: ''
          memoryRequest: 256Mi
          sourceMapping: /projects
          cpuLimit: 500m
          volumeMounts:
            - name: checode
              path: /checode
          memoryLimit: 1024Mi
          image: >-
            registry.redhat.io/devspaces/udi-rhel8@sha256:aa39ede33bcbda6aa2723d271c79ab8d8fd388c7dfcbc3d4ece745b7e9c84193
          endpoints:
            - attributes:
                contributed-by: che-code.eclipse.org
                cookiesAuthEnabled: true
                discoverable: false
                type: main
                urlRewriteSupported: true
              exposure: public
              name: che-code
              path: '?tkn=eclipse-che'
              protocol: https
              secure: false
              targetPort: 3100
            - attributes:
                contributed-by: che-code.eclipse.org
                discoverable: false
                urlRewriteSupported: true
              exposure: public
              name: code-redirect-1
              protocol: http
              targetPort: 13131
            - attributes:
                contributed-by: che-code.eclipse.org
                discoverable: false
                urlRewriteSupported: true
              exposure: public
              name: code-redirect-2
              protocol: http
              targetPort: 13132
            - attributes:
                contributed-by: che-code.eclipse.org
                discoverable: false
                urlRewriteSupported: true
              exposure: public
              name: code-redirect-3
              protocol: http
              targetPort: 13133
        name: universal-developer-image
      - name: che-code-workspacee7f331e190434a79
        plugin:
          kubernetes:
            name: che-code-workspacee7f331e190434a79
            namespace: admin-devspaces
status:
  conditions:
    - lastTransitionTime: '2022-12-13T18:03:42Z'
      message: >-
        Detected unrecoverable deployment condition: FailedCreate pods
        "workspacee7f331e190434a79-69d7c69646-" is forbidden: unable to validate
        against any security context constraint: [provider "anyuid": Forbidden:
        not usable by user or serviceaccount, provider restricted:
        .spec.securityContext.fsGroup: Invalid value: []int64{1234}: 1234 is not
        an allowed group, spec.initContainers[0].securityContext.runAsUser:
        Invalid value: 1234: must be in the ranges: [1000680000, 1000689999],
        spec.containers[0].securityContext.runAsUser: Invalid value: 1234: must
        be in the ranges: [1000680000, 1000689999],
        spec.containers[1].securityContext.runAsUser: Invalid value: 1234: must
        be in the ranges: [1000680000, 1000689999], provider "nonroot":
        Forbidden: not usable by user or serviceaccount, provider
        "hostmount-anyuid": Forbidden: not usable by user or serviceaccount,
        provider "machine-api-termination-handler": Forbidden: not usable by
        user or serviceaccount, provider "hostnetwork": Forbidden: not usable by
        user or serviceaccount, provider "hostaccess": Forbidden: not usable by
        user or serviceaccount, provider "node-exporter": Forbidden: not usable
        by user or serviceaccount, provider "privileged": Forbidden: not usable
        by user or serviceaccount]
      reason: Unknown
      status: 'True'
      type: FailedStart
    - lastTransitionTime: '2022-12-13T18:03:42Z'
      message: Workspace stopped due to error
      status: 'False'
      type: Started
    - lastTransitionTime: '2022-12-13T18:03:42Z'
      status: Unknown
      type: DevWorkspaceResolved
    - lastTransitionTime: '2022-12-13T18:03:42Z'
      status: Unknown
      type: StorageReady
    - lastTransitionTime: '2022-12-13T18:03:42Z'
      status: Unknown
      type: RoutingReady
    - lastTransitionTime: '2022-12-13T18:03:42Z'
      status: Unknown
      type: ServiceAccountReady
    - lastTransitionTime: '2022-12-13T18:03:42Z'
      status: Unknown
      type: PullSecretsReady
    - lastTransitionTime: '2022-12-13T18:03:42Z'
      status: Unknown
      type: DeploymentReady
  devworkspaceId: workspacee7f331e190434a79
  mainUrl: >-
    https://devspaces.apps.ocp410-dnochev.crw-qe.com/workspacee7f331e190434a79/universal-developer-image/3100/?tkn=eclipse-che
  message: >-
    Detected unrecoverable deployment condition: FailedCreate pods
    "workspacee7f331e190434a79-69d7c69646-" is forbidden: unable to validate
    against any security context constraint: [provider "anyuid": Forbidden: not
    usable by user or serviceaccount, provider restricted:
    .spec.securityContext.fsGroup: Invalid value: []int64{1234}: 1234 is not an
    allowed group, spec.initContainers[0].securityContext.runAsUser: Invalid
    value: 1234: must be in the ranges: [1000680000, 1000689999],
    spec.containers[0].securityContext.runAsUser: Invalid value: 1234: must be
    in the ranges: [1000680000, 1000689999],
    spec.containers[1].securityContext.runAsUser: Invalid value: 1234: must be
    in the ranges: [1000680000, 1000689999], provider "nonroot": Forbidden: not
    usable by user or serviceaccount, provider "hostmount-anyuid": Forbidden:
    not usable by user or serviceaccount, provider
    "machine-api-termination-handler": Forbidden: not usable by user or
    serviceaccount, provider "hostnetwork": Forbidden: not usable by user or
    serviceaccount, provider "hostaccess": Forbidden: not usable by user or
    serviceaccount, provider "node-exporter": Forbidden: not usable by user or
    serviceaccount, provider "privileged": Forbidden: not usable by user or
    serviceaccount]
  phase: Failed
